Page MenuHomePhabricator

Make calendar intepret all-day dates in a more consistent way
ClosedPublic

Authored by epriestley on Oct 31 2016, 6:55 PM.

Details

Summary

In ICS, an event on "Nov 1" starts on "2016-11-01" and ends on "2016-11-02".

This is convenient for computers, but this isn't what users expect to enter in date controls. They expect to enter "nov 1" to "Nov 1" for a one-day, all-day event. This is consistent with other applications.

Store the value the user entered, but treat it as the first second of the next day when actually using it if the event is an all day event.

Test Plan

Mucked around with multi-day all-day events, recurring all-day events, imports, etc. Couldn't catch any weird/unintuitive stuff anymore offhand.

(Previously, entering "Nov 1" to "Nov 2" created a one-day event, which was unclear.

Diff Detail

Repository
rP Phabricator
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

epriestley updated this revision to Diff 40405.Oct 31 2016, 6:55 PM
epriestley retitled this revision from to Make calendar intepret all-day dates in a more consistent way.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad accepted this revision.Oct 31 2016, 7:05 PM
chad edited edge metadata.
This revision is now accepted and ready to land.Oct 31 2016, 7:05 PM
This revision was automatically updated to reflect the committed changes.